Skip to main content
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
{message_id}
/
reply-all
Reply All Message
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/reply-all \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "labels": [
    "<string>"
  ],
  "reply_to": "<string>",
  "text": "<string>",
  "html": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>",
      "content": "<string>",
      "url": "<string>"
    }
  ],
  "headers": {}
}
'
{
  "message_id": "<string>",
  "thread_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

message_id
string
required

ID of message.

Body

application/json
labels
string[]

Labels of message.

reply_to

Reply-to address or addresses.

text
string

Plain text body of message.

html
string

HTML body of message.

attachments
SendAttachment · object[]

Attachments to include in message.

headers
SendMessageHeaders · object

Headers to include in message.

Response

Response with status 200

message_id
string
required

ID of message.

thread_id
string
required

ID of thread.